2023-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.6

2023-04-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-6.0: Update to 2.40.0

	webkit2gtk-4.1: Update to 2.40.0

	webkit2gtk-4.0: Update to 2.40.0

2023-03-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0,gio-2.0,gobject-2.0: Update 2.74 symbols

2023-03-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve initialization of namespace fields with compound literal
	Regression of 9c35019ef300082243ef7c71c22088c52d3db38e

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1424

2023-03-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.5

2023-03-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "struct-typed properties" tests to increase coverage

	tests: Add "signal with struct parameter" test to increase coverage

	gtk+-3.0: Fix ToolPalette.icon_size get-accessor type

	vala: Allow assignment of namespace fields with inline allocated arrays
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/945

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Fix -Werror=array-bounds failure

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Set proper value-type of unary ref/out expression in initializers
	So the expected pointer-type for these expressions is available in AST.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1421

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add declaration for register call of dynamic DBus interfaces
	The call was added without the required extern declaration

	Found by -Werror=implicit-function-declaration

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1422

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use g_object_class_override_property to implement generic interface properties
	This caused the criticals like:

	    GLib-GObject-CRITICAL **: Read/writable property 'data' on class 'Foo' has type
	    'gchararray' which is not exactly equal to the type 'gpointer' of the property on
	    the interface 'IFoo'

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1419

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add cast to accessor calls for generic property implementations
	Found by -Werror=int-conversion

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Consistently handle GLib.Error as boxed type
	Use G_TYPE_ERROR and GBoxed API for all error domains.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1418

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Correctly handle pre/post-increment expression as index of element access
	Regression of cb1828cfc5273aca752de9b39a77e0cd53305e61

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1417

2023-03-20  Corentin Noël  <corentin.noel@collabora.com>

	gtk4: Add sealed to all the final types
	Allows to know in advance if a type can be subclassed or not

	Required until https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/4575 is merged
	or the right heuristic is implemented on Vala side.

2023-03-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.10.1~40b154bf from 0.58

2023-03-02  Niels De Graef  <nielsdegraef@gmail.com>

	gtkmodule: Improve error messages
	Be a bit more specific about some of the errors that valac can
	encounter when parsing a UI file.

	(for my use case specifically, it helped me to figure out I had a
	<property> tag without a name attribute in one of my UI files)

2023-03-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkitgtk-6.0: Update to 2.39.90

	webkitgtk-6.0: Update to 2.39.7

2023-02-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.4

	pango: Fix a few binding errors

2023-02-11  Ole André Vadla Ravnås  <oleavr@gmail.com>

	libgvc: Fix `cheader_filename` of the `Gvc` namespace
	The .pc only adds `${includedir}/graphviz` to the include path.

2023-02-11  Fina Wilke  <code@felinira.net>

	vapi: Update gnome-desktop-3.0 and gnome-desktop-4

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Better handling of [NoReturn] call inside finally clause
	This caused the following criticals:

	  vala_flow_analyzer_jump_target_construct_finally_clause: assertion 'last_block != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_exit_target: assertion 'self != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_error_target: assertion 'self != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_finally_clause: assertion 'self != NULL' failed

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Cast vfunc of property accessors by using cast_method_pointer()
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Cast return value of generic type accessor functions
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Perform required cast while assigning and passing function pointers
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow more general usage of PropertyAccessor.get_method()

	vala: Inherit more important attributes for PropertyAccessor method

2023-02-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly handle fixed-length array initialization of fields in classes

	vala: Allow to use store_field() for initializations

	tests: Split up gir parser tests into dedicated files

2023-02-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Perform required casts for generic types of return-values and in/out-parameters
	Found by -Werror=int-conversion

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1407

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve missing exponent check for real literals

	vala: Improve compatibility type checks of array elements in assignments

	tests: Extend string.replace() test to increase coverage

	tests: Add "one-line declaration of local variables" test to increase coverage

2023-01-30  wszqkzqk  <wszqkzqk@qq.com>

	vala,libvaladoc: Properly check for colored terminal output on Windows
	Additionally look for `_isatty()` and adjust for more possible results

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1383

2023-01-30  wszqkzqk  <wszqkzqk@qq.com>

	parser: Properly handle chained equality expressions
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1385

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use a special CCodeBinaryExpression for string comparisons
	This preserves support for recursive replacement of arguments while this
	expression was actually transformed into a function call.

	parser: Move parsing of IS and AS type checks to dedicated function

	tests: Add "string relation" tests to increase coverage

	tests: Add "type check comparison" test to increase coverage

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update workaround for DropTarget.drop() signal conflict
	Deprecate DropTarget.on_drop()

	Additionally don't skip Notebook.insert_page_menu()

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1312

2023-01-30  星外之神  <wszqkzqk@qq.com>

	gitignore: Add built files on Windows

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-*.*: Update to 2.37.91

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Drop broken PsSurface.get_levels() which is bound as PsLevel.get_levels()

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Add missing Cairo.Pattern.get_rgba()
	Thanks to Wayne Blaszczyk

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1381

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add webkitgtk-6.0 bindings

	gtk4: Require pangocairo which is a dependency of Gdk-4.0

2022-11-27  wszqkzqk  <wszqkzqk@qq.com>

	Fix output decoding error of non-ASCII character on Win32
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1379

2022-11-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Actually use printf-like way of Report.*()

2022-10-27  星外之神  <wszqkzqk@qq.com>

	vala: Report error in real literal if exponent has no digits

2022-10-27  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	codegen: Append VALA_EXTERN also when using fast-vapi

2022-10-27  David Hewitt  <davidmhewitt@gmail.com>

	pixman-1: Fix instance position of region copy methods

2022-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add glib.h include for TRUE/FALSE literal
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1364

	tests: Add "entry point exists" test to increase coverage

	gtk4: Make Gtk.show_uri_full() an instance method of Gtk.Window
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1347

2022-10-27  wszqkzqk  <wszqkzqk@qq.com>

	glib-2.0: Add `double_hash` and `double_equal`

2022-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

2022-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.3

2022-09-03  星外之神  <wszqkzqk@qq.com>

	vala: Avoid problems with '\' in #line directives on Windows
	Replace '\' with '/' in SourceFile.relative_path like in CodeContext.realpath().

	  F:/msys64/home/x/test/test.vala.c: In function '_vala_main':
	  F:/msys64/home/x/test/test.vala.c:12:9: warning: unknown escape sequence: '\M'
	     12 | #line 3 "C:\MyFiles\test.vala"
	        |         ^~~~~~~~~~~~~~~~~~~~~~

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1353

2022-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Use g_abort for GLib.Process.abort() beginning with 2.50
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1350

2022-08-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Make try-statement parsing more resilient
	Regression of f5934184d050d1a19f394fdab6f2ee66ff30965f

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1304

2022-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	atspi-2: Fix a few binding errors

2022-08-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gidlparser: Set source reference of parameters

2022-07-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't unconditionally expect ObjectType of Class
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1341

2022-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Correctly unhide BindingSet.by_class to avoid Version attribute

2022-07-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	doap: Demote idle maintainers to authors
	Requested by Michael Catanzaro <mcatanzaro@gnome.org>

	Release 0.56.2

2022-07-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add rest-1.0 bindings

	vapi: Add geocode-glib-2.0 binding

2022-06-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Check cname of fields and methods against reserved identfiers
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1329

	codegen: Split reserved identifiers for C and Vala

	codegen: Make sure to initialize static collections

	vala: Avoid critical in SourceFile.get_mapped_length()
	See https://gitlab.gnome.org/GNOME/vala/issues/1330

2022-06-04  Corentin Noël  <corentin.noel@collabora.com>

	vapi: Add initial wayland-client binding
	Allow to properly use gtk4-wayland.

2022-06-02  Gustav Hartvigsson  <gustav.hartvigsson@gmail.com>

	glib2.0: Add abs() to int8/int16/int32/ssize_t
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1328

2022-05-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Detect usage of static type-parameter in runtime context
	Compact classes doesn't carry runtime information of its type-parameters.
	In case this information is required we need report an error.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1326

2022-05-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly set array-length for NoAccessorMethods properties
	If value is a null-terminated array then calculate and set its length.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1316

2022-04-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.1

2022-04-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21.0+ git main

2022-04-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Split out gtk4-wayland and gtk4-x11 into separate bindings
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1308

2022-04-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	valadoc: Include path to doclet in error message

2022-04-07  m-shinder  <mihail@shinder.ml>

	gtk4: Fix GLib.Value parameter in ContentProvider.get_value()
	Value is `out caller-allocates` and it is also initialized by caller.

2022-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve accessibility check inside member initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1300

2022-03-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't allow nullable enum value as real GObject property
	It is basically a boxed integer value.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1074

2022-03-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21+ git main

2022-03-19  Lorenz Wildberg  <lorenz@wild-fisch.de>

	Add release notes for 0.56

2022-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.0

2022-03-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add webkit2gtk-4.1 bindings

2022-03-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	libarchive: Fix a few binding errors

2022-03-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Drop confusing warning when accessing interface members
	Making assumptions for member access using the current class is not correct.

	Introduced by 0aace7bd6d3ec72e77f4eabbb7d5fffd3b2e86a8

2022-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	SDL2_ttf: Fix a few binding errors

	tiff: Fix a few binding errors

	glib-2.0: Fix memory management of TestSuite.add*/get_root() with 2.70
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1295

2022-03-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.91

	vapi: Regenerate GIR-based bindings to pick up previously skipped delegate parameters

	girparser: Don't count instance-parameter when checking for backwards closure reference
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/721

2022-02-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-video-1.0: Fix a few binding errors

	gstreamer-base-1.0: Fix a few bindings errors

	gstreamer-audio-1.0: Fix a few binding errors

	gst-editing-services-1.0: Fix BaseEffect.set_time_translation_funcs()

	gtk4: Fix content_deserialize_async()

	libgrss: Fix FeedItem.get_geo_point() parameters

	libarchive: Fix a few binding errors

	libgsf-1: Fix a few binding errors

	girparser: Add support for "copy_/free_function" metadata for compact classes

	girparser: Handle duplicated and unnamed symbols
	Issue warnings and skip such symbols to avoid errors on vala's side.

2022-02-26  Princeton Ferro  <princetonferro@gmail.com>

	g-i: Update gidl binding to include type hierarchy
	The IdlNode* classes should be declared as subclasses of IdlNode, that
	way the compiler can be sure that casting from an IdlNode is safe.

2022-02-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.90

2022-02-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Regenerate GIR-based bindings to pick up type_id of error domains

	girparser: Pick up type_id of error domains

	codegen: Emit GType definition for error domains
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/699

	codegen: Default to "has_type_id = false" for external error-domains

	glib-2.0: Add type_id of GLib.Error

	glib-2.0: Annotate error-domains with "has_type_id = false"

	codegen: Emit G_DEFINE_AUTO_CLEANUP_CLEAR_FUNC() for structs
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1293

	codegen: Emit G_DEFINE_AUTOPTR_CLEANUP_FUNC() for interfaces with base class
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1292

	codegen: Split out GTypeModule.generate_autoptr_cleanup()

2022-02-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: gtk4-unix-print is GIR-based

	glib-2.0: Update 2.70/72 symbols

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21.0+ git main

	vala: Allow delegate without target to be used as constant type

	vala: Keep error-code symbol reference in callable expression context

	vala: Add common CallableExpression.call property API

	vala: Drop unused MemberAccess.creation_member property API

	tests: Extend "direct access to error code" test to increase coverage

	tests: Add invalid "error creation" tests to increase coverage

	tests: Fix objectcreation-no-creation-method.test

	vala: Member reference for ObjectCreationExpression is never null

2022-02-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more Werror=... flags

2022-02-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Only add catch clause if an inner error is possible
	See d9f702289b4b39683d0c9361e1ea02fd51ecae22

	build: Update git-version-gen to latest upstream
	From commit b5a3c17daa05f6d76f70369e7cbeefe0db012499 of
	https://git.savannah.gnu.org/cgit/gnulib.git/log/build-aux/git-version-gen

	build: Update gitlog-to-changelog to latest upstream
	From commit b5a3c17daa05f6d76f70369e7cbeefe0db012499 of
	https://git.savannah.gnu.org/cgit/gnulib.git/tree/build-aux/gitlog-to-changelog

2022-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Catch and throw possible inner error of lock statements
	See 40c1dbfbfedb6c4a6b88df045eb1c2e7bdd38d93

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/83

2022-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.3

2022-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Clear SemanticAnalyzer.current_{symbol,source_file} when not needed anymore

	vala: Free empty stack list for code contexts
	While having the stack list created on demand, make sure to destroy it
	when it is not required anymore. Otherwise it will be leaked without an
	option to avoid that to happen.

	gtkmodule: Recurse inner classes of ObjectTypeSymbols (2)

	gtkmodule: Improve UI parsing and handling of nested objects and properties
	Don't restrict GtkCallback to instance methods

	gtkmodule: Recurse inner classes of ObjectTypeSymbols

	test/gtktemplate: Use correct class name

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Remove some public API from symbols and types

	parser: Clean up creation of constant declaration

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Allow usage of dynamic on VarType
	  dynamic var foo = bar.get_foo();

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/187

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Stop generating wrappers for dynamic property access

	vala: Move dynamic property errors to semantic analyzer pass

2022-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Make sure to drop our "trap" jump target in case of an error
	Otherwise this can result in an infinite loop in FlowAnalyzer.intersect()

	Improve source reference for jump out of finally block

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1287

2022-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gio-2.0,glib-2.0,gobject-2.0: Update 2.72 symbols

	gtk4: Update to 4.6.0+06ec4ec1

	gstreamer: Update from 1.19.90+ git main

2022-02-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Relax dependency of asynchronous/method-main-async.vala on build environment
	See 45fe8523ad392f1aaa0f24d83b63e91774938775

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1286

2022-02-03  Niels De Graef  <nielsdg@redhat.com>

	gtk4: Specify sentinel for GtkAcessible methods

2022-01-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use correct target/destroy of delegate field initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1285

2022-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve check of generic type references in static contexts
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1284

	tests: Generic type inference for static methods only in compact classes

	vala: Add missing TraverseVisitor.visit_data_type()

	vala: Some simplifications while TypeParameter is a TypeSymbol

2022-01-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.2

	manual: Update from wiki.gnome.org

2022-01-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Write array length of formal parameters with fixed length
	"void foo (gint i[3]) { ... }" instead of "void foo (gint* i) { ... }"

2022-01-26  wxx  <769218589@qq.com>

	vala: Transform assignment of an array element as needed
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/889
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1258

2022-01-25  Nikola Hadžić  <nikola.hadzic.000@protonmail.com>

	v4l2: Update V4l2.Capabilities and fix some inline arrays

	posix: Add limits.h binding

	alsa: Add/fix *.alloca() functions

	vapi: Add linux-media bindings (linux/media.h)

2022-01-25  Nahuel Gomez  <contact@nahuelgomez.com.ar>

	glib-2.0: Fix criticals in string.joinv() with arrays that start with null

2022-01-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Improve handling of nullable VarType in with-statement

2022-01-25  Princeton Ferro  <princetonferro@gmail.com>

	codegen: Cast generic return value from g_sequence_get()
	Use convert_from_generic_pointer() to generate C code without warnings
	when accessing scalar elements from a GSequence.

	Addtionally check type arguments of given GSequence during codegen.

	In addition to 44195a02c9d26453dc698282deb4947425a4b0b1

2022-01-25  Lorenz Wildberg  <lorenz@wild-fisch.de>

	vala: Add support to infer return type of dynamic signals

2022-01-25  Princeton Ferro  <princetonferro@gmail.com>

	vala: Add foreach statement support for GLib.Sequence
	It is now possible to use foreach with a GLib.Sequence

2022-01-24  Princeton Ferro  <princetonferro@gmail.com>

	vala: Add foreach statement support for GLib.Array
	It is now possible to use foreach with a GLib.Array

2022-01-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Access of stack allocated struct is guaranteed to be non null
	Found by -Werror=address with GCC 12

	See https://gitlab.gnome.org/GNOME/vala/issues/1282

2022-01-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't uncoditionally null check callback_func for GLib.Closure
	Found by -Werror=address with GCC 12

	See https://gitlab.gnome.org/GNOME/vala/issues/1282

2022-01-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Access of inline allocated array is guaranteed to be non null
	and improve null check for container in slice expression

	Found by -Werror=address with GCC 12

	See https://gitlab.gnome.org/GNOME/vala/issues/1282

2022-01-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.6.0+a092986a

	gstreamer: Update from 1.19.3+ git master

	glib-2.0,gio-2.0: Update 2.72 symbols

2022-01-19  Princeton Ferro  <princetonferro@gmail.com>

	vala: async-ize main block when yield is used
	This allows yield statements and expressions to be used in the main
	block.

2022-01-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Make Vala.Variable an abstract class

2022-01-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Implement missing YieldStatement.accept()

	parser: Reduce the source reference of main block method to its beginning
	The end contains broken information which lead to a crash while trying to
	report this multi-line source reference.

2022-01-18  Alvarito050506  <donfrutosgomez@gmail.com>

	codegen: Avoid symbol clashes with "va_*" from "stdarg.h"
	A few more symbol clashes with the va_* macros from stdarg.h, that seem to
	happen only in some systems, like Alpine Linux or NetBSD.

2022-01-17  Princeton Ferro  <princetonferro@gmail.com>

	codegen: Add support for async main
	If main() is async then setup a new GMainLoop and call _vala_main()
	asynchronously.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1275

2022-01-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Require lvalue access of delegate target/destroy "fields"
	In addition to c054da918a40f8ef93c1a006034fb6ab4717c135

	See https://gitlab.gnome.org/GNOME/vala/issues/857

2022-01-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.1

	vapi: Update GIR-based bindings

	gtk4: Update to 4.6.0+06e5da45

2022-01-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Generated SimpleType structs don't have a type id
	Set "CCode.has_type_id" in CCodeStructModule.generate_struct_declaration()
	like in GTypeModule.visit_struct() for SimpleType structs which might be
	executed too late.

	In addition to 2e798fc3f8e9af25a4c231c2561894d9f0a0be50

2022-01-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.54

	vapi: Update GIR-based bindings

2022-01-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Skip runtime of array length type test on "32-bit"

2022-01-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Clear existing length values when revisiting a slice expression
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1274

	tests: Add "async signal handler" test to increase coverage

2022-01-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add native support to specify non default length-type for arrays
	    string[:long] foo = new string[:long] { "foo" };

	This applies to generated bindings where this new syntax will be
	picked up. It will apply a stricter variable type checking for
	such array types.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/607

2022-01-04  Lorenz Wildberg  <lorenz@wild-fisch.de>

	Support "emit" for explicit signal emission
	If "foo" is a signal then "foo.emit (...);" is allowed now additionally to
	"foo (...);". This is required to emit dynamic signals.

2022-01-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add XFAIL tests if undefined behavior sanitizer is enabled
	In addition to d3bfaa4ae34c0e6c7a7a9d124e6c3a276c545391

	tests: Skip constants/member-access-enum.vala for ASAN
	In addition to 50414570d1b54a6106a9a64274bb84977d817616

2022-01-03  Val Och  <v19930312@gmail.com>

	codegen: Use __once instead of __volatile in generated code
	This better reflects purpose of relevant variables, especially
	given that they aren't volatile anymore on GLib 2.68+.

2022-01-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Initialize "result" variable on declaration for abstract methods only

	codegen: Cast given default-value of struct with possible member initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1272

	codegen: Allow boxing of non-external SimpleType structs
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1273

2021-12-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Add custom MemoryOutputStream.with_*data() wrappers
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1271

2021-12-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Show source location when reporting deprecations

	Revert "Make more use of native GLib.Regex syntax"
	This reverts commit b2ef0ed8d2c37a813f9ad8b35c7a7e4a1d639e1c.

2021-12-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	Make more use of native GLib.Regex syntax

2021-12-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Improve partial classes support
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/370

	vala: Correctly replace "in" expression in pre-/postconditions of method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1269

2021-12-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Silently accept unsafe assignment of "0" literal to enum type
	In addition to 9f1de7ae875b59939ca6200e08dddd69106fb486

	Properly use [Flags] feature for ModifierFlags and CCodeModifiers
	See 2afaae5e0755b2d8619808d2d148761b92c355b5

2021-12-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Non nullable enum types are simple types
	Fixes a regression of 5b6345a6386b05aaf3f11cb3572940413eb878a8

	vala: Allow unsafe assignment of integer to enum while reporting a notice

	Sync NEWS from 0.54

2021-12-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Avoid possibily creating duplicated attributes
	Don't append an attribute without checking if there is an existing one.
	In case the attribute already exists append the new key/value pairs.

	vapi: Update GIR-based bindings

2021-12-15  Corentin Noël  <corentin.noel@collabora.com>

	gstreamer-1.0: Unskip the ElementFactory.make/create_full() symbols
	Also add floating reference to all the new creation functions.

2021-12-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Initialize type parameter properties for generics earlier
	If g_object_new() is used then additionally initialize type parameter
	properties with it.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/67

2021-12-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "type-parameter property clash" test to increase coverage
	This needs to be handled gracefully. So throwing an error is no option.

2021-12-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use a dedicated EmitContext for _variant_get*() functions

	vala: Report statement parsing error if it is not meant to be an expression
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1261

2021-12-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Drop duplicate check for unsupported flag of struct methods

	vala: Drop duplicate check for unsupported flag of creation methods

	tests: Add more "chain up" tests to increase coverage

2021-12-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Set is_yield_expression in async context when chaining up to async base ctor
	vala-CRITICAL **: vala_member_access_get_inner: assertion 'self != NULL' failed
	vala-CRITICAL **: vala_member_access_get_member_name: assertion 'self != NULL' failed

	Avoid these spurious criticals and trigger the currently expected error.

2021-12-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly handle chain up of struct creation methods
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1264

	tests: Add missing tests/structs/struct-static-field-initializer.c-expected

2021-12-08  wxx  <769218589@qq.com>

	vala: NullLiteral is not a valid argument for string concatenation
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1260

2021-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtkmodule: Handle nested closure elements and bind them accordingly
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1262

2021-12-02  Lorenz Wildberg  <lorenz@wild-fisch.de>

	tests/girwriter: Use the actual expected output of our girwriter

2021-12-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Update git-version-gen to latest upstream
	From commit 378351df7e63daca234c581f086b542026e07a27 of
	https://git.savannah.gnu.org/cgit/autoconf.git/tree/build-aux/git-version-gen

2021-12-01  Alexander Kanavin  <alex.kanavin@gmail.com>

	vapigen.m4: use $PKG_CONFIG_SYSROOT_DIR
	This is necessary in cross-compiling environments, where directories
	returned by pkg-config should be prefixed with sysroot location.

2021-11-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check accessibility of initializer for constant and enum value

	glib-2.0: Always use the actual C type for CCode.array_length_type

2021-11-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.54

	tests: Add missing methods/parameter-ccode-type.vala
